<?php

namespace Drupal\files_and_folders\TwigExtension;

use Drupal\Core\Config\ConfigFactoryInterface;
use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class IconSizeExtension extends AbstractExtension {

  protected $configFactory;

  public function __construct(ConfigFactoryInterface $config_factory) {
    $this->configFactory = $config_factory;
  }

  public function getFunctions() {
    return [
      new TwigFunction('config', [$this, 'getConfig']),
    ];
  }

  public function getConfig($name) {
    return $this->configFactory->get($name);
  }
}